### Method

# EDataServerUI CredentialsPrompterImpl get_credentials_prompter

since: 3.16

#### Declaration [src]

    _ECredentialsPrompter*
    e_credentials_prompter_impl_get_credentials_prompter (
      ECredentialsPrompterImpl* prompter_impl
    )

#### Description [src]

Returns an `ECredentialsPrompter` with which the `prompter_impl` is associated.

Available since: 3.16

#### Return value

Type: `_ECredentialsPrompter*`

An `ECredentialsPrompter`.

The returned data is owned by the instance.
The return value can be `NULL`.